use bindings::exports::component::churn_tasks::task::Guest;

#[allow(warnings)]
mod bindings;

struct Component;

impl Guest for Component {
    fn id() -> String {
        "clank/dev-packages".into()
    }

    fn should_run() -> bool {
        true
    }
    fn execute() {
        println!("running dev-packages installation");
    }
}

bindings::export!(Component with_types_in bindings);
